"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _stack = require("@react-navigation/stack");
var _react = _interopRequireDefault(require("react"));
var _reactI18next = require("react-i18next");
var _HeaderHome = _interopRequireDefault(require("../components/buttons/HeaderHome"));
var _theme = require("../contexts/theme");
var _Connection = _interopRequireDefault(require("../screens/Connection"));
var _CredentialOffer = _interopRequireDefault(require("../screens/CredentialOffer"));
var _ProofRequest = _interopRequireDefault(require("../screens/ProofRequest"));
var _navigators = require("../types/navigators");
var _defaultStackOptions = require("./defaultStackOptions");
var _OpenIDCredentialOffer = _interopRequireDefault(require("../modules/openid/screens/OpenIDCredentialOffer"));
var _OpenIDProofPresentation = _interopRequireDefault(require("../modules/openid/screens/OpenIDProofPresentation"));
var _containerApi = require("../container-api");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const DeliveryStack = () => {
  const Stack = (0, _stack.createStackNavigator)();
  const {
    t
  } = (0, _reactI18next.useTranslation)();
  const theme = (0, _theme.useTheme)();
  const defaultStackOptions = (0, _defaultStackOptions.useDefaultStackOptions)(theme);
  const [ScreenOptionsDictionary] = (0, _containerApi.useServices)([_containerApi.TOKENS.OBJECT_SCREEN_CONFIG]);
  return /*#__PURE__*/_react.default.createElement(Stack.Navigator, {
    initialRouteName: _navigators.Screens.Connection,
    screenOptions: {
      ...defaultStackOptions,
      cardStyleInterpolator: _stack.CardStyleInterpolators.forVerticalIOS,
      headerShown: true,
      presentation: 'modal',
      headerLeft: () => null,
      headerRight: () => /*#__PURE__*/_react.default.createElement(_HeaderHome.default, null),
      ...ScreenOptionsDictionary[_navigators.Screens.Connection]
    }
  }, /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: _navigators.Screens.Connection,
    component: _Connection.default,
    options: {
      ...defaultStackOptions
    }
  }), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: _navigators.Screens.ProofRequest,
    component: _ProofRequest.default,
    options: {
      title: t('Screens.ProofRequest'),
      ...ScreenOptionsDictionary[_navigators.Screens.ProofRequest]
    }
  }), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: _navigators.Screens.CredentialOffer,
    component: _CredentialOffer.default,
    options: {
      title: t('Screens.CredentialOffer'),
      ...ScreenOptionsDictionary[_navigators.Screens.CredentialOffer]
    }
  }), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: _navigators.Screens.OpenIDCredentialDetails,
    component: _OpenIDCredentialOffer.default,
    options: {
      title: t('Screens.CredentialOffer'),
      ...ScreenOptionsDictionary[_navigators.Screens.OpenIDCredentialDetails]
    }
  }), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: _navigators.Screens.OpenIDProofPresentation,
    component: _OpenIDProofPresentation.default,
    options: {
      title: t('Screens.ProofRequest'),
      ...ScreenOptionsDictionary[_navigators.Screens.OpenIDProofPresentation]
    }
  }));
};
var _default = exports.default = DeliveryStack;
//# sourceMappingURL=DeliveryStack.js.map